#ifndef MAP_H
#define MAP_H

#include <stdint.h>

#include "Event_Desc.h"
#include "Collector.h"
#include "Wrapped_Symbols.h"
#include "Hash_Table.h"

#include "Sample_Grid.h"
#include "Timer.h"


struct MAP_Metric_payload
{
	struct Sample_Grid grid;
};



int  MAP_init_coll( struct Collector * coll );
int  MAP_release_coll( struct Collector * coll );
void MAP_push_event(struct MALP_Trace_Event *, void *);
int  MAP_reduce( struct Collector * coll );
int  MAP_accumulate( struct Collector * coll );

void MAP_init(struct Collector *coll, uint64_t partition_id);


#endif /* MAP_H */
