#ifndef PRINTER_H
#define PRINTER_H

#include <stdint.h>

#include "Event_Desc.h"
#include "Collector.h"
#include "Wrapped_Symbols.h"
#include "Hash_Table.h"



int  Printer_init_coll( struct Collector * coll );
int  Printer_release_coll( struct Collector * coll );
void Printer_push_event(struct MALP_Trace_Event *, void *);
int  Printer_reduce( struct Collector * coll );
int  Printer_accumulate( struct Collector * coll );

void Printer_init(struct Collector *coll, uint64_t partition_id);


#endif
