#ifndef __MALP_MPI_T_ENUM_H__
#define __MALP_MPI_T_ENUM_H__

#if HAVE_MPI_T

#include "mpi.h"
#include "json_cache.h"

#define MALP_MPI_T_ENUM_MAX_SIZE 1024;

typedef struct MALP_MPI_T_enum_type_s
{
   char* name;
   int num_vals;
   int* val_array;
   char** val_names; 
} MALP_MPI_T_enum_type_t;

char MALP_MPI_T_Enum_JSON_dump( MPI_T_enum );
json_t* MALP_MPI_T_Enum_JSON_dump( MPI_T_enum );
MALP_MPI_T_enum_type_t* MALP_MPI_T_Extract_Enum( MPI_T_enum );

#endif /* HAVE_MPI_T */

#endif /* __MALP_MPI_T_ENUM_H__ */

