var catalog = module.require("malp_catalog").catalog;
var LoadTrace =  module.require("malp_catalog").LoadTrace;
var Application = module.require("malp_catalog").Application
var fs = require('fs');
var cache = require('nsc');


<page uri="/uploadtrace" parent="/catalog" title="Upload Trace" />


<view uri="finalupload">

	<server>
		var data = [];
		
		/* Regroup data */
		
		for( e in POST )
		{
			if( e == undefined )
				continue;
			
			var d = e.split("_");
			
			if( d.length != 2 )
				continue;
			
			var idx = d[1];	
			
			if( data[idx] == undefined )
				data[idx] = {};
			
			if( d[0] == "name" )
			{
				data[ idx ].name = POST[ e ];
			}else if( d[0] == "case" )
			{
				data[ idx ].testcase = POST[ e ];
			}
		
		}
		
		/* Commit data */
		for( var i = 0 ; i < data.length ; i++ )
		{
			if( !data[i] )
				continue;
			
			if( !data[i].name )
				continue;
			
			var app = new Application( data[i].name, "", "" );
			
			/* Data are sent through the cache */
			var content = cache.cache[ "tmp_prof_" + i ];
			content.app = data[i].name;
			content.testcase = data[i].testcase;
			
			app = catalog.pushApp( app );
			
			if( !app )
			{
					res.end("An error occured when registering the application.<br>"+
							"Your .malp/catalog directory might be corrupted" );
					return;
			}
			
			var run = app.pushRun( content.size , content.testcase , content );
			
			catalog.loadProfile( content.app, content.testcase, run.id );
			
		}
		
	</server>

	<h1>Trace Loaded Sucessfully !</h1>
	
	<p>Content:</p>
	
	<ul>
	<server>
	for( var i = 0 ; i < data.length ; i++ )
	{
		res.write("<li>" + data[i].name);
	}
	
	catalog.save();
	</server>
	</ul>

</view>



<body>

	<server>
		if( FILES != undefined )
		{

			var trace = FILES["trace"];

			if(trace != undefined)
			{
				LoadTrace( res, trace.path );
				/* Here load trace shall have generated a form */
				res.end("");
			}
		
		}
		
		
	</server>


	<h1>MALP Trace Upload form</h1>


	<p>Please select a trace file "MALP_trace.json" in order to store it in the MALP server.</p>

	<form action="." enctype="multipart/form-data" method="post">
		<table>
		<tr>
		<td><input type="file" name="trace"></td>
		<td><input type="submit" value="Upload Trace"></td>
		</tr>
		<table>


	</form>

</body>


