#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>

#include "Red_Tree.h"



void datah( struct Red_Tree *tr, char * data , size_t size )
{
	int *p = (int*)data;
	
	printf("Got %d\n", *p);
	
}

int main( int argc, char **argv )
{
	struct Red_Tree rt;
	
	if( Red_Tree_init( &rt, Red_Tree_Bootstrap_from_env, 0 ) )
		return 0;
	
	Red_Tree_set_handler(&rt, datah);
	
	int *val =  malloc( 1024 * 1024 * sizeof(int) );
	
	int i;
	
	for( i = 0 ; i < 1024 * 1024 ; i++ )
	{
		val[i] = i;
	}
	
	int cnt = 0;
	while(cnt < 1024 )
	{
		Red_Tree_push_data( &rt, (char *)val, 1024 * 1024 * sizeof(int) );
		val[0] = cnt;
		cnt++;
		//sleep(1);
	}
	
	
	Red_Tree_release( &rt );
	
	
	return 0;
}