#ifndef ANALYZER_COMMON
#define ANALYZER_COMMON

#include <mpi.h>
#include <stdint.h>

/** MPI Uint64_t conpatibility macros */
#ifndef MPI_UINT64_T
    #if INTPTR_MAX == INT32_MAX
        #define MPI_UINT64_T MPI_UNSIGNED_LONG_LONG
    #elif INTPTR_MAX == INT64_MAX
        #define MPI_UINT64_T MPI_UNSIGNED_LONG
    #else
        #error "Environment not 32 or 64-bit."
    #endif
#endif

#endif /* ANALYZER_COMMON */
