#ifndef __MALP_MPI_T_DATA_H__
#define __MALP_MPI_T_DATA_H__

#include "MPIT_Events.h"

int __malp_mpi_t_get_num_vars( MALP_mpi_t_var_type_t type );
MALP_mpi_t_var_info_t *__malp_mpi_t_get_var_id( MALP_mpi_t_var_type_t type, const int virt_idx );
char* __malp_mpi_t_get_var_name( MALP_mpi_t_var_type_t type, const int virt_idx );
char* __malp_mpi_t_get_var_desc( MALP_mpi_t_var_type_t type, const int virt_idx );
MALP_mpi_t_var_info_t *__malp_mpi_t_get_var_ids( MALP_mpi_t_var_type_t type );
int __malp_mpi_t_register_var_id( MALP_mpi_t_var_type_t type, MALP_mpi_t_var_info_t* new_entry );
char** malp_mpi_t_get_cvars_list( int* list_len );
char** malp_mpi_t_get_pvars_list( int* list_len );
void malp_mpi_t_init_instrum( int __mpi_t_required );

#endif /* __MALP_MPI_T_DATA_H__ */
