var cache = require('nsc'); 
var prof = require("malp_rendering").profile;
var getTop = require("malp_rendering").getTop;
var catalog = module.require("malp_catalog").catalog;

<page uri="/mpitstaticprof" parent="/profile" title="MPIT Static Profile" desc="This modules displays." />

<body>

	<script src='/scripts/jquery.js'></script>

	<server>

		var current_prof = catalog.getProfile(); 
 
                if( !current_prof )
                {
                    res.write("<h2>No profile loaded</h2>")
                    return
                }

		var mpi_t_static_profile = current_prof["MPIT_Static_infos_Profile"];

	</server>

	<h1> MPIT CVARS List </h1>

        <table class="malptable">
	<tr>
	   <th>Name</th>
	   <th>Bind</th>
	   <th>Scope</th>
	   <th>Datatype</th>
	   <th>Verbosity</th>
	   <th>Value</th>
	</tr>
        <server>
		var cvars_static_prof = mpi_t_static_profile.profile["cvar_static"]; 
                
                for( var i = 0; i < cvars_static_prof.length; i++ )
                {
                   res.write( "<tr>\n" );
                   res.write( "<td>" + cvars_static_prof[i]["name"] + "</td>\n" );
                   res.write( "<td>" + cvars_static_prof[i]["bind"] + "</td>\n" );
                   res.write( "<td>" + cvars_static_prof[i]["scope"] + "</td>\n" );
                   res.write( "<td>" + cvars_static_prof[i]["datatype"] + "</td>\n" );
                   res.write( "<td>" + cvars_static_prof[i]["verbosity"] + "</td>\n" );
		   res.write( "<td>" + cvars_static_prof[i]["value"] + "</td>\n" );
                   res.write( "</tr>\n" );
                }
                res.write( "</table>");
                console.log( cvars_static_prof );
        </server>

	
</body>
