

#!/bin/sh

NODE_DIR=$1
INSTALL_DIR=$PWD

#Generate the lib
echo "Generating libmalpnode.a library..."

cd $NODE_DIR/out/Release

rm -fr extract
rm -f libmalpnode.a

mkdir extract

cd extract

#Unpack all .a in separate directories (.a name to avoid .o collisions)
S=$PWD
for i in `ls ../*.a`
do
	cd $S
	mkdir `basename $i`
	cd `basename $i`
	ar x ../$i
done

cd $S

#Now rename .o to avoid name collisions (BUG with version.o)
CNT=0
for i in ` find . -iname "*.o"`
do
	mv $i `echo $i | sed s/.o$/$CNT.o/g`
	CNT=$((CNT+1))
done


#And pack them back !

find . -iname "*.o" | xargs ar rcs $INSTALL_DIR/libnode.a
