#ifndef CONN_CTX_H
#define CONN_CTX_H

#include <stdint.h>

/*
 *  Connection CTX 
 */
struct Connection_ctx
{
	char addr[256];
	char port[64];
	uint64_t id;
};

int Connection_ctx_init( struct Connection_ctx *ctx, char *uri );
int Connection_ctx_init_static( struct Connection_ctx *ctx, char * hostname, int port );
int Connection_ctx_print( struct Connection_ctx *ctx, char * dest, int len );
int Connection_ctx_release( struct Connection_ctx *ctx );







#endif /* CONN_CTX_H */