#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include "Density.h"

#define MAX_BUFF_SIZE 1024 * 1024 * 1024


int main( int argc, char **argv )
{

	/* Prepare to read STDIN */

	char * buff = malloc( MAX_BUFF_SIZE );


	if( !buff )
	{
		perror("malloc");
		return 1;
	}
	
	buff[0] = '\0';

	/* Read STDIN */	

	char tmp_buff[500];

	while( fgets(tmp_buff, 500, stdin) != NULL )
	{
		strcat( buff, tmp_buff );
	}
	
	/* Generate & render density */
	
	struct Density dens;

	if( Density_init( &dens , buff ) )
	{
		return 1;
	}
	
	Density_dump( &dens , stdout );
	
	
	Density_release( &dens  );


	/* We do not need this large buff anymore */		
	free( buff );

	return 0;
}
