#include <stdio.h>
#include <math.h>

#include "jsonCache.h"




int main( int argc, char **argv )
{

	json_t * jmap = json_object();
	
	json_t * array = json_array();
	
	json_object_set( jmap, "map" , array );
	
	
	int x, y;
	
	int * val = malloc( 1024 * 1024 * sizeof( int ) );
	
	if( ! val )
	{
		return 1;
	}
	
	int i;
	x = 0 ; y = 1;
	
	while( i < 1024 * 1024 )
	{
		val[i] = ((x + y))%127 + 1;
		x = y;
		y = val[i];
		i++;
	}
	
	
	
	for( x = 0 ; x < 1024 ; x++ )
	{
		json_t * in_array = json_array();
		
		for( y = 0 ; y < 1024 ; y++ )
		{
			//printf("%d %d\n", x ,y );
			json_array_push( in_array, json_int( val[ x*1024 + y] )  );
		}
		
		json_array_push( array, in_array );
	}
	
	
	char * dmp = json_dump( jmap, JSON_COMPACT );
	
	printf( "%s" , dmp );

	free( dmp );
	
		
	return 0;
}

